#ifndef MASSES_H
#define MASSES_H

class Masses
{
public:
    static Double_t getMass(Int_t pid)
    {
	switch(pid)
	{
	case 11:
	case -11:
	    return fMassEl;
	    break;
	case 13:
	case -13:
	    return fMassMu;
	    break;
	case 211:
	case -211:
	    return fMassPi;
	    break;
	default:
	    return -1;
	    
	}
	
    }
    
private://improper definitions...macs dont like it.will initialize in main.cpp
    static const Double_t fMassMu;// = 0.105658; //GeV/c^2
    static const Double_t fMassEl;// = 0.00051099891; //GeV/c^2
    static const Double_t fMassPi;// = 0.13957018; //GeV/c^2
};



#endif
